| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Typedefs
FFmpegSessionCompleteCallback.h File Reference

Go to the source code of this file.

## Typedefs
typedef void(^ | FFmpegSessionCompleteCallback) (FFmpegSession *session)

## Typedef Documentation

## ◆ FFmpegSessionCompleteCallback

typedef void(^ FFmpegSessionCompleteCallback) (FFmpegSession *session)

Callback function that is invoked when an asynchronous `FFmpeg` session has ended.

Session has either SessionStateCompleted or SessionStateFailed state when the callback is invoked.

If it has SessionStateCompleted state, `ReturnCode` should be checked to see the execution result.

If `getState` returns SessionStateFailed then `getFailStackTrace` should be used to get the failure reason.

     switch ([session getState]) {
         case SessionStateCompleted:
             ReturnCode *returnCode = [session getReturnCode];
             break;
         case SessionStateFailed:
             NSString *failStackTrace = [session getFailStackTrace];
             break;
     }

Parameters

  session | session of the completed execution

Definition at line 46 of file FFmpegSessionCompleteCallback.h.